Subject: bug#37729: "!${PATH}/date" path prefix in DEMO change directory is failing

From: "Kevin J. McCarthy" <[email-masked]>
Date: Sun, 13 Oct 2019 19:41:43 +0800

I'm completely unfamiliar with the code, and just an elisp novice.  But 
I've been playing around.

Making this change seems to have fixed the problem for me.  I have no 
idea if this is correct outside of my little test in DEMO.

modified   hbut.el:
@@ -1224,6 +1224,7 @@ excluding delimiters, not just one."
  		  (hattr:get 'hbut:current 'lbl-key)
  		(hattr:set 'hbut:current 'loc (save-excursion
  						(hbut:key-src 'full)))
+		(hattr:set 'hbut:current 'dir default-directory)
  		(hattr:set 'hbut:current 'categ is-type)
  		(or (hattr:get 'hbut:current 'args)
  		    (not (listp args))